Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface PaymentTransactionHome

All Superinterfaces
  javax.ejb.EJBHome, Remote, SmartEJBHome, SmartHome

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface PaymentTransactionHome

extends SmartEJBHome

The home interface for the PaymentTransaction entity bean. Use this class to create, remove, and find PaymentTransaction entity beans.

Method Summary
`PaymentTransaction` | `create(PaymentTransactionPk paymentTransactionPk)` Deprecated See BEA Commerce product offering
`PaymentTransaction` | `findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)` Deprecated See BEA Commerce product offering
`Collection` | `findByStatus(String status)` Deprecated See BEA Commerce product offering

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    PaymentTransaction create(PaymentTransactionPk paymentTransactionPk)
                              throws javax.ejb.CreateException,
                                     RemoteException

  Deprecated See BEA Commerce product offering

  Create a new PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### findByPrimaryKey

    PaymentTransaction findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)
                                        throws RemoteException,
                                               javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Find an PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

### findByStatus

    Collection findByStatus(String status)
                            throws RemoteException,
                                   javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Finds transactions by status. Valid states are those defined in the `PaymentWorkflow` state machine.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved